package org.rcisoft.business.cmsApplication.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.apache.poi.hpsf.Decimal;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Created with cy on 2024年3月25日 下午1:42:40.
 *
 * @author
 */
@Data
@TableName("cms_application")
public class CmsApplication extends CyIdIncreEntity<CmsApplication> {


    /**
     * @desc 用户id
     * @column user_id
     * @default
     */
    @TableField("user_id")
    private Integer userId;

    /**
     * @desc 活动id
     * @column activity_id
     * @default
     */
    @TableField("activity_id")
    private Integer activityId;

    /**
     * @desc 创建时间
     * @column create_date
     * @default
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "报名日期", orderNum = "2", width = 20, format = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createDate;

    /**
     * @desc 用户姓名
     * @column name
     * @default
     */
    @Excel(name = "用户姓名",orderNum = "1")
    @TableField("name")
    private String  name;

    /**
     * @desc 用户手机号码
     * @column phone
     * @default
     */
    @Excel(name = "用户手机号码", orderNum = "3")
    @TableField("phone")
    private String phone;

    /**
     * @desc 报名状态（1报名、2取消报名、3已退费）
     * @column status
     * @default
     */
    @TableField("status")
    private String status;

    /**
     * @desc 用户所交费用
     * @column application_fee
     * @default
     */
    @Excel(name = "缴费", orderNum = "4")
    @TableField("application_fee")
    private BigDecimal applicationFee;


    /**
     * @desc 订单id
     * @column application_fee
     * @default
     */
    @TableField("order_id")
    private Long orderId;

    /**
     * 活动图片id
     */
    @TableField(exist = false)
    private Integer pictureId;

    /**
     * 活动图片Url
     */
    @TableField(exist = false)
    private String pictureUrl;

    /**
     * 用户昵称
     */
    @TableField(exist = false)
    private String memNickName;

    /**
     * 会员id
     */
    @TableField(exist = false)
    private Integer memberId;

    /**
     * 活动开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @TableField(exist = false)
    private String startTime;

    /**
     * 活动结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @TableField(exist = false)
    private String endTime;

    /**
     * 活动名称
     */
    @TableField(exist = false)
    private String title;

    /**
     * 报名的男生人数
     */
    @TableField(exist = false)
    private Integer maleCount;

    /**
     * 报名的女生人数
     */
    @TableField(exist = false)
    private Integer femaleCount;
}


